Git Mailing List Archive on lore.kernel.org
 help / color / Atom feed
From: Denton Liu <liu.denton@gmail.com>
To: Git Mailing List <git@vger.kernel.org>
Subject: [PATCH 4/8] t5550: remove use of `test_might_fail grep`
Date: Wed, 25 Mar 2020 01:54:51 -0400
Message-ID: <68c911e29b509d75e390aba573921d6ac385fcaf.1585115341.git.liu.denton@gmail.com> (raw)
In-Reply-To: <cover.1585115341.git.liu.denton@gmail.com>

The test_must_fail() family of functions (including test_might_fail())
should only be used on git commands. Rewrite the use of
test_might_fail() with grep to remove this improper usage.

Signed-off-by: Denton Liu <liu.denton@gmail.com>
---
 t/t5550-http-fetch-dumb.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/t/t5550-http-fetch-dumb.sh b/t/t5550-http-fetch-dumb.sh
index b811d89cfd..a06294ad8f 100755
--- a/t/t5550-http-fetch-dumb.sh
+++ b/t/t5550-http-fetch-dumb.sh
@@ -248,7 +248,7 @@ test_expect_success 'fetch can handle previously-fetched .idx files' '
 '
 
 test_expect_success 'did not use upload-pack service' '
-	test_might_fail grep '/git-upload-pack' <"$HTTPD_ROOT_PATH"/access.log >act &&
+	{ grep '/git-upload-pack' <"$HTTPD_ROOT_PATH"/access.log >act || :; } &&
 	: >exp &&
 	test_cmp exp act
 '
-- 
2.25.0.114.g5b0ca878e0


  parent reply index

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-25  5:54 [PATCH 0/8] t: replace incorrect test_must_fail usage (part 3) Denton Liu
2020-03-25  5:54 ` [PATCH 1/8] t5512: don't use `test_must_fail test_cmp` Denton Liu
2020-03-25  5:54 ` [PATCH 2/8] t5512: generate references with generate_references() Denton Liu
2020-03-25  6:08   ` Eric Sunshine
2020-03-25  6:41   ` Junio C Hamano
2020-03-25  5:54 ` [PATCH 3/8] t5512: stop losing return codes of git commands Denton Liu
2020-03-25  5:54 ` Denton Liu [this message]
2020-03-25  6:35   ` [PATCH 4/8] t5550: remove use of `test_might_fail grep` Junio C Hamano
2020-03-25  5:54 ` [PATCH 5/8] t5607: reorder `nongit test_must_fail` Denton Liu
2020-03-25  5:54 ` [PATCH 6/8] t5612: don't use `test_must_fail test_cmp` Denton Liu
2020-03-25  5:54 ` [PATCH 7/8] t5612: stop losing return codes of git commands Denton Liu
2020-03-25  5:54 ` [PATCH 8/8] t5801: teach compare_refs() to accept ! Denton Liu
2020-03-25  6:31   ` Junio C Hamano
2020-03-25  6:36     ` Eric Sunshine
2020-03-25  6:43 ` [PATCH 0/8] t: replace incorrect test_must_fail usage (part 3) Junio C Hamano
2020-03-26  8:27 ` [PATCH v2 " Denton Liu
2020-03-26  8:27   ` [PATCH v2 1/8] t5512: don't use `test_must_fail test_cmp` Denton Liu
2020-03-26  8:27   ` [PATCH v2 2/8] t5512: stop losing git exit code in here-docs Denton Liu
2020-03-26 15:24     ` Eric Sunshine
2020-03-26  8:27   ` [PATCH v2 3/8] t5512: stop losing return codes of git commands Denton Liu
2020-03-26  8:27   ` [PATCH v2 4/8] t5550: simplify no matching line check Denton Liu
2020-03-26 15:26     ` Eric Sunshine
2020-03-26  8:27   ` [PATCH v2 5/8] t5607: reorder `nongit test_must_fail` Denton Liu
2020-03-26  8:27   ` [PATCH v2 6/8] t5612: don't use `test_must_fail test_cmp` Denton Liu
2020-03-26  8:27   ` [PATCH v2 7/8] t5612: stop losing return codes of git commands Denton Liu
2020-03-26  8:27   ` [PATCH v2 8/8] t5801: teach compare_refs() to accept ! Denton Liu
2020-03-27  0:43   ` [PATCH v2 9/9] fixup! t5512: stop losing git exit code in here-docs Denton Liu
2020-03-27 17:46     ` Junio C Hamano
2020-03-27 20:29       ` Eric Sunshine
2020-03-27 21:39         ` Junio C Hamano

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=68c911e29b509d75e390aba573921d6ac385fcaf.1585115341.git.liu.denton@gmail.com \
    --to=liu.denton@gmail.com \
    --cc=git@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

Git Mailing List Archive on lore.kernel.org

Archives are clonable:
	git clone --mirror https://lore.kernel.org/git/0 git/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 git git/ https://lore.kernel.org/git \
		git@vger.kernel.org
	public-inbox-index git

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://nntp.lore.kernel.org/org.kernel.vger.git


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git